/*
*   \file
*   \remarks Sync challenge APIs Prototypes
*   \author Pavel Haber
*
*   WMDRM Service Package, Type Definitions, Sync challenge APIs
*
*   Copyright (C) 2007 by Discretix Technologies Ltd.
*           All rights reserved.
*
*/

#ifndef SYNCLIST_TST_API_H
#define SYNCLIST_TST_API_H

DRM_RESULT SL_PreTestCase(long lTCID, char *strTCName);
DRM_RESULT SL_PostTestCase(long lTCID, char *strTCName);

DRM_RESULT TestSyncListReset(long iIndex, char **argv);
DRM_RESULT TestGenerateSyncListChallenge(long argc, char **argv);
DRM_RESULT TestSetEnhancedData(long argc, char **argv);
DRM_RESULT TestAddLicenseToStore(long argc, char **argv);
DRM_RESULT TestPlayback(long argc, char **argv);
DRM_RESULT TestSynclistChangeTime(long argc, char **argv);
DRM_RESULT TestEnumLicense_SL(long argc, char **argv);

#endif

